TechDraw "Вставить размер знака"

From FreeCAD Documentation
This page is a translated version of the page TechDraw LandmarkDimension and the translation is 33% complete.
Outdated translations are marked like this.
Other languages:

Вставить размер знака

Системное название
TechDraw_LandmarkDimension
Расположение в меню
TechDraw → Размеры → Вставить размер знака
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Указать горизонтальный размер, Указать вертикальный размер

Описание

The TechDraw LandmarkDimension tool adds a linear dimension to a View. The dimension is based on two point objects (Draft Point, Part Point or PartDesign Point objects) from the 3D model.

The purpose of this tool is to provide a workaround to the corruption of dimensions caused by the "topological naming" issues. The source points should use Expressions or other containing mechanisms to establish their position. Since the points are Document Objects, and not shape components, their name does not change with recomputes, and hence they are easily found.

See TechDraw LengthDimension for more on dimensions and topological naming.

Применение

  1. Select two point objects in the 3D view or Tree view.
  2. Add the correct TechDraw View to the selection by selecting it in the Tree view.
  3. There are several ways to invoke the tool:
  4. A dimension is added to the View.
  5. The dimension may be dragged to the desired position.
  6. If needed, add tolerances as described on this page.

Change properties

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the Dimension dialog.

Ограничения

The Landmark Dimension tool is initially limited to "Distance" dimensions. Other types may be added if demand warrants.

Notes

See TechDraw LengthDimension.

Свойства

See TechDraw LengthDimension.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The Landmark Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject("TechDraw::LandmarkDimension", "Landmark")
dim1.Type = "Distance"
dim1.References2D = [(TDView, "Vertex1")]
dim1.References3D = [(Point3d1, "Vertex1")]
dim1.References3D = [(Point3d2, "Vertex1")]
page.addView(dim1)